aboutsummaryrefslogtreecommitdiffstats
path: root/eclipse/scripts
diff options
context:
space:
mode:
authorRaphael Moll <ralf@android.com>2010-06-28 17:39:53 -0700
committerRaphael Moll <ralf@android.com>2010-06-28 17:39:53 -0700
commit3b857be9581264f0aeb7caa0770c4b8b6ae3e382 (patch)
treee415357c22bf929152231efec640473ba72e46b2 /eclipse/scripts
parentc9cd65a1c5b93cecef5512a54dad9ef9b9d6e669 (diff)
downloadsdk-3b857be9581264f0aeb7caa0770c4b8b6ae3e382.zip
sdk-3b857be9581264f0aeb7caa0770c4b8b6ae3e382.tar.gz
sdk-3b857be9581264f0aeb7caa0770c4b8b6ae3e382.tar.bz2
Fix ddms projects in Eclipse for Windows/Cygwin.
Change-Id: Ie68b8c0dd9eecbc14a2bb86247b767ea47c6842c
Diffstat (limited to 'eclipse/scripts')
-rwxr-xr-xeclipse/scripts/create_ddms_symlinks.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/eclipse/scripts/create_ddms_symlinks.sh b/eclipse/scripts/create_ddms_symlinks.sh
index 4e957e2..8791316 100755
--- a/eclipse/scripts/create_ddms_symlinks.sh
+++ b/eclipse/scripts/create_ddms_symlinks.sh
@@ -6,6 +6,11 @@
set -e
+function die() {
+ echo "Error: $*"
+ exit 1
+}
+
HOST=`uname`
if [ "${HOST:0:6}" == "CYGWIN" ]; then
@@ -65,3 +70,15 @@ make -j3 showcommands $LIBS || die "DDMS: Fail to build one of $LIBS."
for LIB in $LIBS; do
cpfile $DEST out/host/$PLATFORM/framework/$LIB.jar
done
+
+if [ "${HOST:0:6}" == "CYGWIN" ]; then
+ # On Windows we used to make a hard copy of the ddmlib/ddmuilib
+ # under the plugin source tree. Now that we're using external JARs
+ # we need to actually remove these obsolete sources.
+ for i in ddmlib ddmuilib ; do
+ DIR=$BASE/src/com/android/$i
+ if [ -d $DIR ]; then
+ rm -rfv $BASE/src/com/android/$i
+ fi
+ done
+fi